;InnoSetupVersion=4.2.4

[Setup]
AppName=RAM Idle
AppVerName=RAM Idle
AppId=RAM Idle
AppVersion=1.4.7.2
AppPublisher=TweakNow
AppPublisherURL=http://www.tweaknow.com
AppSupportURL=http://www.tweaknow.com
AppUpdatesURL=http://www.tweaknow.com
DefaultDirName={pf}\RAM Idle
DefaultGroupName=RAM Idle
UninstallDisplayIcon={app}\compil32.exe
OutputBaseFilename=RAMIdle
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\RAMMan.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Memory.ico"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_XP.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_ME.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_98.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Help.chm"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Exit.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Ram Idle"; ValueName: "CurrentDir2"; ValueType: String; ValueData: "{app}"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Ram Idle"; ValueName: "FirstTime"; ValueType: String; ValueData: "1"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\RAMMan.exe"; Description: "Launch RAM Idle"; MinVersion: 4.1,5.0; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\Exit.exe"; MinVersion: 4.1,5.0; 

[Icons]
Name: "{group}\RAM Idle"; Filename: "{app}\RAMMan.exe"; WorkingDir: "{app}"; IconFilename: "{app}\Memory.ico"; Components: main; MinVersion: 4.1,5.0; 
Name: "{group}\Uninstall"; Filename: "{app}\unins000.exe"; Components: main; MinVersion: 4.1,5.0; 
Name: "{group}\ReadMe"; Filename: "{app}\Help.chm"; Components: main; MinVersion: 4.1,5.0; 
Name: "{userdesktop}\RAM Idle"; Filename: "{app}\RAMMan.exe"; IconFilename: "{app}\Memory.ico"; Tasks: desktopicon; MinVersion: 4.1,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\RAM Idle"; Filename: "{app}\RAMMan.exe"; IconFilename: "{app}\Memory.ico"; Tasks: quicklaunchicon; MinVersion: 4.1,5.0; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: "main"; MinVersion: 4.1,5.0; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "main"; MinVersion: 4.1,5.0; 

[Components]
Name: "main"; Description: "RAM Idle application files"; Types: "full compact custom"; MinVersion: 4.1,5.0; 

[Types]
Name: "full"; MinVersion: 4.1,5.0; 
Name: "compact"; MinVersion: 4.1,5.0; 
Name: "custom"; MinVersion: 4.1,5.0; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
